note 126064 added to class.datetimeinterface
| From: | divinity76 at gmail dot com | Date: | Sun, 09 May 2021 12:00:44 +0000 |
| Subject: | note 126064 added to class.datetimeinterface | ||
| Groups: | php.notes | ||
| Request: | Send a blank email to php-notes+get-216362@lists.php.net to get a copy of this message | ||
if you want to know what all the constants looks like, try
<?php
$constants= (new ReflectionClass("DateTimeInterface"))->getConstants();
foreach($constants as $name => $format){
echo "{$name}: " . date($format, 0) . "\n";
}
?>
in php 8.0.3 it prints:
ATOM: 1970-01-01T01:00:00+01:00
COOKIE: Thursday, 01-Jan-1970 01:00:00 CET
ISO8601: 1970-01-01T01:00:00+0100
RFC822: Thu, 01 Jan 70 01:00:00 +0100
RFC850: Thursday, 01-Jan-70 01:00:00 CET
RFC1036: Thu, 01 Jan 70 01:00:00 +0100
RFC1123: Thu, 01 Jan 1970 01:00:00 +0100
RFC7231: Thu, 01 Jan 1970 01:00:00 GMT
RFC2822: Thu, 01 Jan 1970 01:00:00 +0100
RFC3339: 1970-01-01T01:00:00+01:00
RFC3339_EXTENDED: 1970-01-01T01:00:00.000+01:00
RSS: Thu, 01 Jan 1970 01:00:00 +0100
W3C: 1970-01-01T01:00:00+01:00
----
Server IP: 45.112.84.4
Probable Submitter: 45.112.85.242 (proxied: 85.165.62.130)
----
Manual Page -- https://php.net/manual/en/class.datetimeinterface.php
Edit -- https://main.php.net/note/edit/126064
Del: integrated -- https://main.php.net/note/delete/126064/integrated
Del: useless -- https://main.php.net/note/delete/126064/useless
Del: bad code -- https://main.php.net/note/delete/126064/bad+code
Del: spam -- https://main.php.net/note/delete/126064/spam
Del: non-english -- https://main.php.net/note/delete/126064/non-english
Del: in docs -- https://main.php.net/note/delete/126064/in+docs
Del: other reasons-- https://main.php.net/note/delete/126064
Reject -- https://main.php.net/note/reject/126064
Search -- https://main.php.net/manage/user-notes.php